html,
body {
	margin: 0;
	padding: 0;

	background-color: #121212;
	color: #eee;

	font-family: "Montserrat Thin Thin", "SF Pro Text", Frutiger, "Frutiger Linotype", Univers, Calibri, "Gill Sans", "Gill Sans MT", "Myriad Pro", Myriad, "DejaVu Sans Condensed", "Liberation Sans", "Nimbus Sans L", Tahoma, Geneva, "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-weight: 100;
	font-size: 1.2em;
}

a {
	color: #ff6700;
	text-decoration: none;
}

a:hover {
	color: #eee;
}

.collapse_toggle {
	visibility: hidden;
	position: absolute;
}

.collapsable {
	display: none;
}

.collapse_toggle:checked+.collapsable {
	display: block;
}

.collapse_toggle:checked+#search-menu-area{
	display: flex;
}
#search-menu-area {
	flex-direction: row;
	align-items: stretch;
	height: 30px;
	justify-content: stretch;
	flex-grow: 1;
	flex-shrink: 1;
}

#search-menu-area *{
	margin: 0;
	padding: 0;
}

#search-form {
	display: flex;
	flex-basis: 0;
	flex-direction: row;
	justify-content: stretch;
	margin: 0 0.5em;
	box-sizing: border-box;
	flex-shrink: 1;
	flex-grow: 1;
}

#search-form-input {
	flex: 1;
	flex-basis: 0;
	flex-grow: 1;
	flex-shrink: 1;
	font-size: 1em;
	width: 1px;
}

#search-form-submit{
	flex-grow: 0;
	font-size: 0.66em;
}

#hamburger-menu-area {
	position: fixed;
	background-color: black;
	padding: 5px;
	top: 0;
	z-index: 2;
}

#advanced-search-area {
	position: fixed;
	background-color: black;
	height: 100%;
	width: 100%;
	top: 0;
	z-index: 2;
	padding: 5px;
	box-sizing: border-box;
}

#button-advanced-search-menu {
	cursor: pointer;
	display: block;
	cursor: pointer;
	color: #ff6700;
	margin: 0;
	padding: 0;
}

#button-advanced-search-menu:hover {
	color: #eee;
}

.menu-label {
	position: relative;
	z-index: 1;
	cursor: pointer;
	display: inline-block;
	width: 2em;
	height: 2em;
	background-repeat: no-repeat;
	background-position: 0.33em;
	background-size: 1.33em 1.33em;
}

#button-advanced-search-menu-close {
	background-image: url("../img/close.svg");
}

#button-advanced-search-menu-close:hover {
	background-image: url("../img/close-highlight.svg");
}

#button-hamburger-menu-close {
	cursor: pointer;
	font-size: 2em;
}

#button-hamburger-menu-close:hover {
	color: #ff6700;
}

#advanced-search-form{
	display: flex;
	flex-direction: column;
	align-items: stretch;
	font-size: 1.3em;
}

.input-line{
	display: flex;
	flex-direction: row;
	justify-content: stretch;
	margin-bottom: 3px;
}

#advanced-search-form label{
	display: inline-block;
	width: 6em;
}

#advanced-search-form input{
	flex-grow: 1;
}

#advanced-search-form input[type=submit]{
	font-size: 1em;
}

.menu-close-area {
	margin-bottom: 5px;
}

.menu-content-area {
	padding: 5px;
	margin-right: 10px;
	font-size: 1.2em;
}

.menu-content-area a, 
.menu-content-area label{
	margin-bottom: 3px;
}

.search-block {
	flex-grow: 1;
	flex-shrink: 1;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: stretch;
}

.song-list {
	display: flex;
	flex-direction: column;
	align-items: stretch;
	overflow-y: auto;
	overflow-x: hidden;
}

.song-item,
.song-list-header {
	display: flex;
	flex-direction: row;
	align-items: stretch;
	justify-content: stretch;
	padding: 0 0.8em;
	font-size: 1.2em;
}

.song-item.alt-row{
	background-color:#222;
}

.song-list-header {
	font-weight: bold;
	color: #ff6700;
}

.song-item {
	cursor: pointer;
}

.song-item:hover {
	background-color: #666;
}

.song-interpret {
	width: 40%;
	padding-right: 0.3em;
}

.song-title {
	width: 60%;
	padding-left: 0.3em;
}

.hidden {
	display: none;
}

#song-item-consent,
#song-item-details {
	position: fixed;
	background-color: rgba(255, 255, 255, 0.5);
	width: 100%;
	height: 100%;
	top: 0;
	z-index: 2;
	font-size: 1.3em;
}

#song-item-consent-area,
#song-item-details-area {
	margin: 20% 10%;
	border: solid black 1px;
	background-color: #121212;
	padding: 5px;
}

.song-item-details-label {
	font-weight: bold;
	color: #ff6700;
}

#song-item-consent-close-area,
#song-item-details-close-area {
	display: flex;
	justify-content: end;
}

#song-item-consent-close,
#song-item-details-close {
	cursor: pointer;
	display: inline-block;
	width: 30px;
	height: 30px;
	background-image: url("../img/close.svg");
	background-repeat: no-repeat;
	background-position: 5px;
	background-size: 20px 20px;
}

#song-item-consent-close:hover,
#song-item-details-close:hover {
	background-image: url("../img/close-highlight.svg");
}

#song-item-consent-link,
#song-item-details-contact {
	cursor: pointer;
	display: block;
	margin-top: 1em;
	padding-left: 40px;

	background-image: url("../img/whatsapp-mattbadal.svg");
	background-repeat: no-repeat;
	background-position: 2px center;
	background-size: 30px 30px;
}

#song-item-consent-cancel {
	cursor: pointer;
	display: block;
	margin-top: 1em;
	padding-left: 40px;

	background-image: url("../img/close.svg");
	background-repeat: no-repeat;
	background-position: 2px center;
	background-size: 30px 30px;
}

#song-item-details-note {
	padding-left: 40px;
	font-size: 0.5em;
	color: #ccc;
}

#header{
	position: sticky;
	top: 0;
	border-bottom: #666;
	background-color: #121212;
}

#header-bar{
	display: flex;
	flex-direction: row;
	justify-content: stretch;
	padding: 5px;
}

#button-hamburger-menu{
	cursor: pointer;
	display: inline-block;
	width: 3em;
	height: 2em;
	background-image: url("../img/mobile-menue-1.svg");
	background-repeat: no-repeat;
	background-position: 0.33em 0.33em;
	background-size: 2em 1.33em;
}

#button-hamburger-menu:hover {
	background-image: url("../img/mobile-menue-1-highlight.svg");
}

#button-search-menu {
	background-image: url("../img/search.svg");
}

#button-search-menu:hover {
	background-image: url("../img/search-highlight.svg");
}

#button-hamburger-menu-close {
	cursor: pointer;
	display: inline-block;
	width: 1.33em;
	height: 1.33em;
	background-image: url("../img/close.svg");
	background-repeat: no-repeat;
	background-position: 0.33em 0.33em;
	background-size: 0.66em 0.66em;
}

#button-hamburger-menu-close:hover {
	background-image: url("../img/close-highlight.svg");
}

.menu-letters{
	margin-top: 0.3em;
	padding: 5px;
	font-size: 1.5em;
}